Get organizations

get/v1/organizations
Page View

Organization endpoints allow you to review details about your Redox organization.

Currently, you can retrieve details for any organization(s) youre a member of.

Get organizations

Retrieve a list of Redox organizations that youre a member of. You can use this query to find organization IDs.

The response contains the details for each Redox organization.

Request parameters

cURL request example

bash
1
curl 'https://api.redoxengine.com/platform/v1/organizations' \
2
--request GET \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'accept: application/json'

Query Parameters

  • _page
    number

    Indicates a specific page of results to return. This value typically comes from a previous response's page object.

  • _count
    number

    Defines the number of results to return per page. The maximum value per page is 50.

  • searchTerm
    string

    Uses the specified term to find a matching Redox organization name. This is a case-insensitive partial match.

Response fields and example

Example payload generated from schema
1
{
2
"meta": {
3
"version": "1.0.0",
4
"totalRecords": 0,
5
"links": {
6
"self": "string",
7
"next": "string",
8
"prev": "string",
9
"first": "string",
10
"last": "string"
11
},
12
"currentPage": 1,
13
"pageType": "offest",
14
"pageSize": 0
15
},
16
"payload": {
17
"organizations": [
18
{
19
"id": 122,
20
"name": "Acme Health Systems"
21
}
22
],
23
"total": 87
24
}
25
}
  • meta
    object

    Contains metadata about paginated results of returned data.

    • version
      string

      Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.

    • totalRecords
      number

      Specifies the total number of records across all pages for the result set.

      • self
        string

        Links to the current page of results.

      • next
        string

        Links to the next page of results.

      • prev
        string

        Links to the previous page of results, which returns the page based on the current page you're on.

      • first
        string

        Links to the first page of results.

      • last
        string

        Links to the last page of results.

    • currentPage
      number

      Specifies the current page number.

    • pageType
      string

      Describes the pagination algorithm.

      Value: offest
    • pageSize
      number

      Describes the number of records included in each page of the current result set.

  • payload
    object

    Contains the list of matching Redox organizations.

    • organizations
      Array of object

      Lists all the Redox organization(s) the specified user is part of.

      • id
        number

        Contains the unique identifier of the Redox organization.

      • name
        string

        Contains the human-readable name of the organization.

    • total
      number

      The total number of organizations matching the query across all pages.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.